#ifndef MAIN_H
#define MAIN_H

#define HTML_SOURCE	"weather.noaa.gov"
#define HTML_PORT	80
#define HTML_PATH	"/cgi-bin/mgetmetar.pl?cccc="

#define HIGH_FD		256

#define BUF_SIZE	512

#define ctof(x) (x * 9.0 / 5.0 + 32.0)
#define kttomph(x) (x * 1.15077944802)
#define match(needle, haystack) (haystack == NULL || needle == NULL ? 0 : (strcasecmp(needle, haystack) - 1 == -1))
#define arraysize(x) (sizeof(x) / sizeof(x[0]))
#define my_isspace(x) (x == 32 || x == 9)

void	metar_parse(char **);

int	metar_station(char *),			metar_date(char *),
	metar_modifier(char *),			metar_wind(char *, char *),
	metar_visibility(char *, char *),	metar_runway(char *),
	metar_weather(char *),			metar_sky(char *),
	metar_temp(char *),			metar_altimeter(char *),
	main(int, char **);

enum token_types {
	station, date, modifier, wind, visibility, runway, weather, sky, temp, altimeter, remark, finished = 666
};

#endif /* MAIN_H */
